服务支持

support

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202102-0027

摘要:dnsmasq漏洞 安全等级:中等 公告ID:KYSA-202102-0027 发布日期:2021-04-07 影响CVE:CVE-2020-25684、CVE-2020-25683、CVE-2020-25686、CVE-2020-25687、CVE-2020-25681、CVE-2019-14834、CVE-2020-25682

详细介绍

1. 修复的CVE信息

  • CVE-2020-25684

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。dnsmasq 2.83版本之前存在安全漏洞,攻击者可以利用该漏洞执行DNS缓存中毒攻击。

  • CVE-2020-25683

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。Dnsmasq 存在安全漏洞,该漏洞源于在没有dnnssec的情况下编译时使用弱哈希算法(CRC32)来验证DNS响应。

  • CVE-2020-25686

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。Dnsmasq 存在安全特征问题漏洞,该漏洞源于不会检查现有的同名待处理请求,并转发一个新的请求,从而允许攻击者执行一个“生日攻击”场景来伪造应答,并可能破坏DNS缓存。

  • CVE-2020-25687

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。Dnsmasq 存在缓冲区错误漏洞,该漏洞源于sort rrset子例程中的基于堆的缓冲区溢出,该子例程在启用DNSSEC时并在验证接收到的DNS条目之前发生。

  • CVE-2020-25681

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。Dnsmasq 存在缓冲区错误漏洞,该漏洞源于dnsmasq中的基于堆的缓冲区溢出,在未经请求的DNS响应中使用DNSSEC数据验证rrset之前,对rrset进行排序。

  • CVE-2019-14834

    描述:在2.81版之前的dnsmasq中发现一个漏洞,该漏洞中的内存泄漏使远程攻击者可以通过涉及DHCP响应创建的媒介来导致拒绝服务(内存消耗)。

  • CVE-2020-25682

    描述:Dnsmasq是一款使用C语言编写的轻量级DNS转发和DHCP、TFTP服务器。Dnsmasq 存在缓冲区错误漏洞,该漏洞源于在用DNSSEC数据验证DNS包之前,dnsmasq从DNS包中提取名称的方式存在缓冲区溢出漏洞。


2. 受影响的操作系统

  • 银河麒麟桌面操作系统V4 SP1

  • 银河麒麟桌面操作系统V4 SP2

  • 银河麒麟桌面操作系统V4 SP3

  • 银河麒麟桌面操作系统V4 SP4

  • 银河麒麟桌面操作系统V10

  • 银河麒麟桌面操作系统V10 SP1

  • 银河麒麟服务器操作系统V4 SP1

  • 银河麒麟服务器操作系统V4 SP2

  • 银河麒麟服务器操作系统V4 SP3

  • 银河麒麟服务器操作系统V4 SP4


3. 修复版本

软件包:dnsmasq

dnsmasq-2.75-1kord0.16.04.8(V4、V10)

dnsmasq-utils-2.75-1kord0.16.04.8(V4、V10)

dnsmasq-base-2.75-1kord0.16.04.8(V4、V10)

dnsmasq-2.80-1.1kylin1.3(V10 SP1)

dnsmasq-utils-2.80-1.1kylin1.3(V10 SP1)

dnsmasq-base-2.80-1.1kylin1.3(V10 SP1)


4. 受影响的软件包

  • 银河麒麟桌面操作系统V4桌面版

    dnsmasq-base

    dnsmasq-utils

    dnsmasq

  • 银河麒麟桌面操作系统V10桌面版

    dnsmasq-base

    dnsmasq-utils

    dnsmasq

  • 银河麒麟桌面操作系统V10 SP1

    dnsmasq-base-lua

    dnsmasq-base

    dnsmasq-utils

    dnsmasq


5.修复方法

方法一:配置源进行升级安装

打开软件包源配置文件,根据仓库地址进行修改。

4.0.2-sp1:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp1-desktop main restricted universe multiverse

4.0.2-sp2: http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp2-desktop main restricted universe multiverse

4.0.2-sp3: http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp3-desktop main restricted universe multiverse

4.0.2-sp4: http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp4-desktop main restricted universe multiverse

10.0: http://archive.kylinos.cn/kylin/KYLIN-ALL 10.0 main restricted universe multiverse

10.0 SP1: http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1 main restricted universe multiverse

配置完成后执行更新命令进行升级    $sudo apt update

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的组件包列表 升级相关的组件包。    $dpkg -i Packagelists


6. 软件包下载地址


上一篇: KYSA-202102-0019 下一篇: KYSA-202102-0028

试用

服务

动态

联系